V(1)

NAME
v - z for vim

SYNOPSIS
v [-a] [-c] [-l] [-[0-9]] [--debug] [--help] [regex1 regex2 ... regexn]

AVAILABILITY
bash, vim

INSTALLATION
Put v somewhere in $PATH (e.g. /usr/local/bin/).
For the manual page, put v.1 somewhere in $MANPATH (e.g. /usr/local/man/man1/).

DESCRIPTION
v uses viminfo's list of recently edited files to open one quickly no matter where you are in the filesystem.

By default, it will open the most recently edited file matching all of the provided regular expressions.

OPTIONS
-a don't skip deleted files
-c restrict matches to subdirectories of the current dir
-l when multiple matches, show a list
-[0-9] edit nth most recent file
--debug dry run
--help show a brief help message

EXAMPLES
v list and choose from all files
v -0 reopen most recently edited file
v foo bar edit first file matching foo and bar
v -c foo bar choose files in current dir matching foo and bar
v -l foo bar list and choose files matching foo and bar

NOTES
Shell variables, such as $, must be escaped if used in regular expressions. Behavior
The default behavior is to open the most recent file that matches the search terms, even if there are multiple matches. You may find it useful to alias vl='v -l'. When there are multiple matches, this will prompt for a choice, rather than editing the first match. The author is still not sure which behavior should be the default, and has chosen one provisionally.

SEE ALSO
vim(1), regex(7)

Please file bugs at https://github.com/rupa/v/